## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::PushAndPopCurrentTemplate Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::PushAndPopCurrentTemplate:

List of all members.

## Public Methods

- PushAndPopCurrentTemplate ( StylesheetExecutionContext& executionContext, const ElemTemplate* theTemplate)
- ~PushAndPopCurrentTemplate ()

## Constructor & Destructor Documentation

StylesheetExecutionContext::PushAndPopCurrentTemplate::PushAndPopCurrentTemplate ( | StylesheetExecutionContext & executionContext,
| const ElemTemplate * theTemplate )

StylesheetExecutionContext::PushAndPopCurrentTemplate::~PushAndPopCurrentTemplate ( | )`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.